package com.huimv.production.service.impl;

import com.huimv.common.result.Result;
import com.huimv.common.result.ResultCode;
import com.huimv.production.domain.FarmSmEntity;
import com.huimv.production.domain.WarningInfoEntity;
import com.huimv.production.repo.FarmSmEntityRepo;
import com.huimv.production.repo.WarningInfoEntityRepo;
import com.huimv.production.service.WarningInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/5/26 0026 14:03
 **/
@Service
public class WarningInfoServiceImpl implements WarningInfoService {

    @Autowired
    private WarningInfoEntityRepo warningInfoEntityRepo;

    @Autowired
    private FarmSmEntityRepo farmSmEntityRepo;

    @Override
    public Result warningInfor() {
        List<WarningInfoEntity> all = warningInfoEntityRepo.findAll();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        List list  = new ArrayList();

        for (WarningInfoEntity warningInfoEntity : all) {
            Map map = new HashMap();

            String lqid = warningInfoEntity.getLQID();
            FarmSmEntity byLqid = farmSmEntityRepo.findByLQID(lqid);
            Date uploadTime = warningInfoEntity.getUploadTime();
            String name = byLqid.getName();
            String type = warningInfoEntity.getType();
            Double temperature = warningInfoEntity.getTemperature();
            String str = type+"报警,当前温度为："+temperature+" ℃";

            map.put("farmName",name);
            map.put("time",simpleDateFormat.format(uploadTime));
            map.put("msg",str);
            list.add(map);

        }
        return new Result(ResultCode.SUCCESS,list);
    }
}
